<%--
  - FileName   : advencePaymentList.jsp
  - Author(s)  : ok
  - Date       : 2014.06.18
  - Copyright  : Copyright (c) 2013 www.udapsoft.co.kr, Inc.
  - Description: 선급금 신청
--%>

<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.util.DateUtil" %>
<%@ page import="kr.co.hsnc.common.util.Formatter"%>

<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    String event = storage.getEvent();
    
    RowSet statusComboList = storage.getRowSet("statusComboList"); //상태 ComboList Data
  	
    //상태 sheetComboList Data
	String statusSheetComboListText 	   = (String)storage.getObject("selectText");
	String statusSheetComboListValue 	   = (String)storage.getObject("selectValue");
    
    //신청구분
    String perpayReqDivComboListText 	   = (String)storage.getObject("selectText1");
	String perpayReqDivComboListValue 	   = (String)storage.getObject("selectValue1");
	
	//상태값 초기설정
	String initStatusCd = params.get("searchStatusCd");
	if(initStatusCd == null || initStatusCd == ""){
		initStatusCd = "";
	}
	
	String dept_cd = params.get("dept_cd");
	String dept_nm = params.get("dept_nm");
	
	String signDt_from = params.get("signDt_from");
	String signDt_to = params.get("signDt_to");
	
    //com.udapsoft.waf.common.util.DateUtil
	ValueObject defaultDate = DateUtil.getDefaultPeriod();
	if("".equals(signDt_from)){
		signDt_from = defaultDate.get("START_DATE");
	}
	if("".equals(signDt_to)){
		signDt_to = defaultDate.get("END_DATE");
	}
	
    //조회 계약명  
    String  returnBuildName = params.get("searchBuildName");
    
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1;
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){

		gridInit(sheet1);
		
		autoResize();
	
		jQuery("#btnSearch").click(function() {
			
 			if(Number(jQuery("#signDt_from").val().replace(/(\-|\:)/g, "")) > Number(jQuery("#signDt_to").val().replace(/(\-|\:)/g, ""))){
				alert("신청일자를 확인해주세요");
				return;
			}
			
 			jQuery("#fevent").val("GET_DATA");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/payment/outside/AdvencePaymentResultList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, ""); 
		});
	
		$("#dataClear1").click(function(){$("#signDt_from").val("");$("#signDt_to").val("");});
		
		pageinit();
		
	}
	
	function pageinit(){
		//jQuery("#btnSearch").click();
	}
	
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};
		init_sheet.Cols = [
		    			{Header:'상태',				Type:"Status", 			SaveName:"STATUS", 				Width:0, 	Align:"Center", Hidden:"True"},
		    			{Header:'현장명',			Type:"Text", 			SaveName:"DEPT_NAME",			Width:160, 	Align:"Left"},
		    			{Header:'☞계약명',			Type:"Text", 			SaveName:"BUILD_NAME",			Width:160, 	Align:"Left"},
		    			{Header:'업체명',			Type:"Text", 			SaveName:"MEMBER_NAME",			Width:160, 	Align:"Left"},
		    			{Header:'공사기간',			Type:"Text", 			SaveName:"START_END_WORK_DATE", Width:100, 	Align:"Center"},
		    			{Header:'계약금액',			Type:"Int", 			SaveName:"CON_AMT", 			Width:80, 	Align:"Right", Format:"#,##0"},
		    			{Header:'선급금액',			Type:"Int", 			SaveName:"PREPAY_AMT", 			Width:80, 	Align:"Right", Format:"#,##0"},
		    			{Header:'신청금액',			Type:"Int", 			SaveName:"REQ_PREPAY_AMT", 		Width:80, 	Align:"Right", Format:"#,##0"},
		    			{Header:'신청일자',			Type:"Text", 			SaveName:"SIGN_DT", 			Width:100, 	Align:"Center", Format:"Ymd"},
		    			{Header:'신청구분',			Type:"Combo", 			SaveName:"REQ_DIV_CD",	 		Width:70, 	Align:"Center",	ComboText:"<%=perpayReqDivComboListText%>", ComboCode:"<%=perpayReqDivComboListValue%>"},
		    			{Header:'상태',				Type:"Combo", 			SaveName:"STATUS_CD", 			Width:70, 	Align:"Center",	ComboText:"<%=statusSheetComboListText%>", ComboCode:"<%=statusSheetComboListValue%>"},
		    			{Header:'SUB_CONT_MOD_ID',	Type:"Text", 			SaveName:"SUB_CONT_MOD_ID", 	Width:0, 	Align:"Center", Hidden:"True"}
		];

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		sheetName.SetDataLinkMouse("BUILD_NAME", 1);
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}

	function sheet1_OnSelectMenu(Text, Code) {
		// text 또는 code값으로 Action수행
		switch(Text) {
			case "ExcelDown":
			sheetExcelDown(sheet1,$('li').html());
			break;
		}
	}

	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	sheet1.SetColFontColor("BUILD_NAME", "#0000ff");
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	function sheet1_OnClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
	}

	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
	}
	
	/**
	 *	IBSheet Event: DBLCLICK
	 */
	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {

		if (sheet1.ColSaveName(Col) == "BUILD_NAME") {	//신청금액

 			jQuery("#selectSubContModId").val(sheet1.GetCellValue(Row, "SUB_CONT_MOD_ID"));	//변경계약ID
			jQuery("#fevent").val("");
			jQuery("#form1").attr("action", "/payment/outside/AdvencePayment.screen");
			jQuery("#form1").attr("target", "_self");
			jQuery("#form1").attr("method", "post");
			jQuery("#form1").submit();
			
		}
	}
	
	function doKeyPress() {
	    if( event.keyCode == 13 ) {
	    	jQuery("#btnSearch").click();
	    }
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
	}
	
/* 	function autoResize(){
		var t1_height = document.getElementById("t1").scrollHeight + 10;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		
		sheet1.SetSheetHeight(iframeHeight); 
	} */

	function searchSite() {
		var win_id = "_searchSite";
		var link = "/lib/dlgSearchSpotDept_Unitcd.screen";
		    link += "?pop_win_id="+win_id;
			fLayerPop(win_id, link, 550,500, '', '', 'NO');
	}
	function searchSiteClose(result) {
		if( result == null ){
			document.form1.dept_cd.value = "";   //부서코드
			document.form1.dept_nm.value = "";   //부서명
		}else{
			document.form1.dept_cd.value = result[0];   //부서코드
			document.form1.dept_nm.value = result[1];   //부서명
		}
		fLayerPopClose('_searchSite');
	}

 	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 54;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		
		
		sheet1.SetSheetHeight(iframeHeight); 
	}
	
	function selectChange(){
		jQuery("#btnSearch").click();
	}
	
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<BODY onresize="autoResize()" >
<form id="form1" name="form1" method="post" modular:type="search" style="width:100%;height:100%;">

	<INPUT type="hidden" name="fevent" id="fevent" value="">
	<INPUT type="hidden" name="selectSubContModId" id="selectSubContModId" value="">
	<INPUT type="hidden" name="resultListDiv" id="resultListDiv" value="2">

   	<div align="left" id="title">
    	<ul>
     		<li>외주_선급금완료</li>
    	</ul>
  	</div>

	<!-- 검색조건 영역 : 시작 -->
	<table id="search-table" class="search-form-table">
		<colgroup>
			<col width="100px">
			<col width="40%">
			<col width="100px">
			<col/>
			<col width="100px">
		</colgroup>	
		<TR>
			<TH>현장</TH>
			<TD>
				<%=InputText.getSiteCodeNew("dept_cd", "dept_nm", "", user, dept_cd, dept_nm)%>
			</TD>
			<th>신청일자</th>
			<td>
				<%= InputText.get("signDt_from", "", 10, 50, "hangule,center, desc=신청일,ReadOnly") %>
				<IMG name="start_img" id="calender_from" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('signDt_from');">
				~
				<%= InputText.get("signDt_to", "", 10, 50, "hangule,center, desc=신청일,ReadOnly") %>
				<IMG name="start_img" id="calender_to" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('signDt_to');">
				<IMG name="dataClear1" id="dataClear1" src="/img/buyer/button/bt_eraser1.gif" border="0" align="absmiddle" style="cursor:pointer;">
			</td>			
   			<TD class="button" rowspan="3">      
   				<span class="btnSearch center"><a href="javascript:void(0);" id="btnSearch">검색</a></span>
			</TD>
		</TR>
  		<TR>
			<TH>계약명</TH>
			<TD colspan="1">
				<INPUT type="text" id="searchBuildName" name="searchBuildName" value="<%=returnBuildName %>" maxlength="50" class="input" style="IME-MODE : active; width:90%;"  desc='계약명' onKeyPress="doKeyPress();">
			</TD>
			<TH>상태</TH>
    		<TD>
				<%= HTMLMaker.getSelectTag(statusComboList, "DETAILCD", "DETAILNM", "searchStatusCd", "width:30%;height=18;", "<option value=''>--전체--</option>", initStatusCd) %>
    		</TD>
   		</TR>
   		<TR>
			<TH>업체명</TH>
			<TD colspan="3">
				<INPUT type="text" id="searchCorp" name="searchCorp" value="" maxlength="50" class="input" style="IME-MODE : active; width:42%;"  desc='업체명' onKeyPress="doKeyPress();">
			</TD>
   		</TR>
	</TABLE>
	<!-- 검색조건 영역 : 종료 -->
	<img src="/img/com/blank.gif" height="5px" />
   <div align="right" id="bugase">
    	<ul>
     		<li valign="bottom"><span style="color: red;">* 부가세별도</span></li>
    	</ul>
  	</div>

	<div id="sheet1_div" style="padding-top:5px; height: auto; min-height: 350px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '350px');</script>
	</div>
</FORM>
</body>